
QGIS Application - Bug report #9776

Support for georeferenced pdfs is still broken on Windows

2014-03-13 02:44 AM - T Hell

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 18318

Description

As it was written under bug #8912 I hereby ask to reopen this bug for the windows plattform, it looks like linux is working well.

The import/export of pdf formats is currently not possible with the latest Windows QGIS.

QGIS version    2.2.0-Valmiera    

QGIS code revision    c3a2817

Compiled against GDAL/OGR    1.10.1    

Running against GDAL/OGR    1.10.1

Also gdalinfo.exe is not working correclty.

$ /cygdrive/c/OSGeo4W64/bin/gdalinfo.exe --version

GDAL 1.10.1, released 2013/08/26

$ OSGeo4W64/bin/gdalinfo.exe rumney_farmforest_geopdf.pdf

... and is not recognised as a supported dataset name.

Other binaries from other sources work. It looks like the gdal-toolchain needs an update (Missing pdf libs?). Thank you.

History

#1 - 2014-03-13 05:13 AM - T Hell

Here is the full gdalinfo on Windows error message:

ERROR 4: `rumney_farmforest_geopdf.pdf' does not exist in the file system,

and is not recognised as a supported dataset name.

gdalinfo failed - unable to open 'rumney_farmforest_geopdf.pdf'.

Expected gdalinfo output:

Driver: PDF/Geospatial PDF

Files: ..\\..\\..\\..\

umney_farmforest_geopdf.pdf

Size is 5700, 5250
Coordinate System is:

PROJCS["NAD83 / New Hampshire",

    GEOGCS["NAD83",

        DATUM["North_American_Datum_1983",

            SPHEROID["GRS 1980",6378137,298.257222101,

                AUTHORITY["EPSG","7019"]],

            TOWGS84[0,0,0,0,0,0,0],

            AUTHORITY["EPSG","6269"]],

        PRIMEM["Greenwich",0,

            AUTHORITY["EPSG","8901"]],

        UNIT["degree",0.0174532925199433,

            AUTHORITY["EPSG","9122"]],

        AUTHORITY["EPSG","4269"]],

Tagging works on the commandline with:

gdal_translate.exe -of PDF geo-example.tiff test.pdf

But geospatial PDF import/export is currently not working 'inside' QGIS on Windows.

#2 - 2014-03-13 05:20 AM - Jürgen Fischer

Sample file http://www.terragotech.com/images/pdf/rumney_farmforest_geopdf.pdf

#3 - 2014-03-13 05:42 AM - Jürgen Fischer

- Resolution set to up/downstream

- Status changed from Open to Closed

This isn't an actual QGIS problem.   QGIS on Windows uses GDAL from OSGeo4W, which currently doesn't have PDF write support, but no read support.

#4 - 2014-03-13 05:57 AM - T Hell

Thank you for your quick response. Yes, http://trac.osgeo.org/osgeo4w/ is the correct place for this, I got confused after creating my account.

Is there already a bug entry for this problem in the osgeo4w tracker? Thanks for forwarding this problem to the right source.
